[gentoo-commits] repo/gentoo:master commit in: net-libs/libetpan/files/, net-libs/libetpan/

2024-04-22 Thread Bernard Cafarelli
commit: cbf4ae0b94c68b61515b0db19ac301ca8743deb8
Author: Christopher Fore  posteo  net>
AuthorDate: Mon Apr 22 04:05:04 2024 +
Commit: Bernard Cafarelli  gentoo  org>
CommitDate: Mon Apr 22 15:51:30 2024 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbf4ae0b

net-libs/libetpan: Add patch for CVE-2022-4121

- Also bump EAPI to version 8
- Build succeeds on amd64
  - Tests don't seem to run

Bug: https://bugs.gentoo.org/891263
Signed-off-by: Christopher Fore  posteo.net>
Closes: https://github.com/gentoo/gentoo/pull/36351
Signed-off-by: Bernard Cafarelli  gentoo.org>

 .../files/libetpan-1.9.4-CVE-2022-4121.patch   | 29 
 net-libs/libetpan/libetpan-1.9.4-r2.ebuild | 78 ++
 2 files changed, 107 insertions(+)

diff --git a/net-libs/libetpan/files/libetpan-1.9.4-CVE-2022-4121.patch 
b/net-libs/libetpan/files/libetpan-1.9.4-CVE-2022-4121.patch
new file mode 100644
index ..2d97ac8e972e
--- /dev/null
+++ b/net-libs/libetpan/files/libetpan-1.9.4-CVE-2022-4121.patch
@@ -0,0 +1,29 @@
+From 5c9eb6b6ba64c4eb927d7a902317410181aacbba Mon Sep 17 00:00:00 2001
+From: Hoa Dinh 
+Date: Mon, 19 Dec 2022 08:16:32 -0800
+Subject: [PATCH] Fixed crash when st_info_list is NULL. Fixes #420. Fixes
+ CVE-2022-4121.
+
+---
+ src/low-level/imap/mailimap_types.c | 8 +---
+ 1 file changed, 5 insertions(+), 3 deletions(-)
+
+diff --git a/src/low-level/imap/mailimap_types.c 
b/src/low-level/imap/mailimap_types.c
+index 9923125c..79a0cc23 100644
+--- a/src/low-level/imap/mailimap_types.c
 b/src/low-level/imap/mailimap_types.c
+@@ -1389,9 +1389,11 @@ void
+ mailimap_mailbox_data_status_free(struct mailimap_mailbox_data_status * info)
+ {
+   mailimap_mailbox_free(info->st_mailbox);
+-  clist_foreach(info->st_info_list, (clist_func) mailimap_status_info_free,
+-   NULL);
+-  clist_free(info->st_info_list);
++  if (info->st_info_list != NULL) {
++clist_foreach(info->st_info_list, (clist_func) mailimap_status_info_free,
++  NULL);
++clist_free(info->st_info_list);
++  }
+   free(info);
+ }
+ 

diff --git a/net-libs/libetpan/libetpan-1.9.4-r2.ebuild 
b/net-libs/libetpan/libetpan-1.9.4-r2.ebuild
new file mode 100644
index ..149c51e7ac5f
--- /dev/null
+++ b/net-libs/libetpan/libetpan-1.9.4-r2.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit autotools
+
+DESCRIPTION="A portable, efficient middleware for different kinds of mail 
access"
+HOMEPAGE="https://libetpan.sourceforge.net/;
+SRC_URI="https://github.com/dinhviethoa/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="berkdb gnutls ipv6 liblockfile lmdb sasl ssl static-libs"
+
+# BerkDB is only supported up to version 6.0
+DEPEND="sys-libs/zlib
+   !lmdb? ( berkdb? ( sys-libs/db:= ) )
+   lmdb? ( dev-db/lmdb )
+   ssl? (
+   gnutls? ( net-libs/gnutls:= )
+   !gnutls? (
+   dev-libs/openssl:0=
+   )
+   )
+   sasl? ( dev-libs/cyrus-sasl:2 )
+   liblockfile? ( net-libs/liblockfile )"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+   "${FILESDIR}"/${PN}-1.0-nonnull.patch
+   "${FILESDIR}"/${PN}-1.9.4-berkdb_lookup.patch #519846
+   "${FILESDIR}"/${PN}-1.9.4-pkgconfig_file_no_ldflags.patch
+   "${FILESDIR}"/${P}-CVE-2020-15953.patch #734130
+   "${FILESDIR}"/${P}-CVE-2022-4121.patch #891263
+)
+
+pkg_pretend() {
+   if use gnutls && ! use ssl ; then
+   ewarn "You have \"gnutls\" USE flag enabled but \"ssl\" USE 
flag disabled!"
+   ewarn "No ssl support will be available in ${PN}."
+   fi
+
+   if use berkdb && use lmdb ; then
+   ewarn "You have \"berkdb\" _and_ \"lmdb\" USE flags enabled."
+   ewarn "Using lmdb as cache DB!"
+   fi
+}
+
+src_prepare() {
+   default
+   eautoreconf
+}
+
+src_configure() {
+   # in Prefix emake uses SHELL=${BASH}, export CONFIG_SHELL to the same so
+   # libtool recognises it as valid shell (bug #300211)
+   use prefix && export CONFIG_SHELL=${BASH}
+   local myeconfargs=(
+   # --enable-debug simply injects "-O2 -g" into CFLAGS
+   --disable-debug
+   $(use_enable ipv6)
+   $(use_enable liblockfile lockfile)
+   $(use_enable static-libs static)
+   $(use_with sasl)
+   $(usex lmdb '--enable-lmdb --disable-db' "$(use_enable berkdb 
db) --disable-lmdb")
+   $(usex ssl "$(use_with gnutls) $(use_with !gnutls openssl)" 
'--without-gnutls --without-openssl')
+   )
+   econf "${myeconfargs[@]}"
+}
+
+src_install() {
+   default
+   find "${ED}" -name "*.la" -delete || die
+   if ! use static-libs ; then
+ 

[gentoo-commits] repo/gentoo:master commit in: net-libs/libetpan/files/, net-libs/libetpan/

2019-11-05 Thread Lars Wendler
commit: 688ff0a0502de09115e883dc1a551ab6da13ae23
Author: Lars Wendler  gentoo  org>
AuthorDate: Tue Nov  5 15:56:55 2019 +
Commit: Lars Wendler  gentoo  org>
CommitDate: Tue Nov  5 15:56:55 2019 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=688ff0a0

net-libs/libetpan: Bump to version 1.9.4

Attempt to fix berkdb detection

Bug: https://bugs.gentoo.org/519846
Package-Manager: Portage-2.3.78, Repoman-2.3.17
Signed-off-by: Lars Wendler  gentoo.org>

 net-libs/libetpan/Manifest |  1 +
 .../files/libetpan-1.9.4-berkdb_lookup.patch   | 28 
 .../libetpan-1.9.4-pkgconfig_file_no_ldflags.patch | 24 +++
 net-libs/libetpan/libetpan-1.9.4.ebuild| 77 ++
 4 files changed, 130 insertions(+)

diff --git a/net-libs/libetpan/Manifest b/net-libs/libetpan/Manifest
index f27bf806618..d37beb8e3f4 100644
--- a/net-libs/libetpan/Manifest
+++ b/net-libs/libetpan/Manifest
@@ -1 +1,2 @@
 DIST libetpan-1.9.3.tar.gz 549 BLAKE2B 
1664d93b112410a86935438aae5ff40202a9c10675701d40b60edf81e4f8bac45fb1f407e03714a37465c41a22c1b9fcbbc517d76dc47f812e154c932e05e600
 SHA512 
66e504fbf82445819845a3f1dcb8dc48ad2440993134d43752c754463cee2434a30080718687cd05c579f0da8df6b0f6dfc7572f2882d0dd9dfd327b4ae11fd6
+DIST libetpan-1.9.4.tar.gz 525 BLAKE2B 
dd98169134b7448d3dd129814d8011a3fa915b16f4763344230a89d02626b64ddea57495b4c21fd8f651164c36c95ad98ee9db073273b230e6af403b845aa681
 SHA512 
7b7047d084fb4ce0c91821c2ad78e921d6d009106851afb7f5b068713c84ebe6926f6bf7a7423f263eeebef617511e44f6b65448d892bbc058c447235fd55c0f

diff --git a/net-libs/libetpan/files/libetpan-1.9.4-berkdb_lookup.patch 
b/net-libs/libetpan/files/libetpan-1.9.4-berkdb_lookup.patch
new file mode 100644
index 000..cfe0e8b5dc8
--- /dev/null
+++ b/net-libs/libetpan/files/libetpan-1.9.4-berkdb_lookup.patch
@@ -0,0 +1,28 @@
+From 1978a0d16bf7f14b863b208d55699b9f46918b7c Mon Sep 17 00:00:00 2001
+From: Lars Wendler 
+Date: Tue, 5 Nov 2019 16:31:53 +0100
+Subject: [PATCH] configure.ac: Only check reasonable berkdb versions
+
+https://bugs.gentoo.org/519846
+
+Signed-off-by: Lars Wendler 
+---
+ configure.ac | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/configure.ac b/configure.ac
+index 542f3bb..8f1edba 100644
+--- a/configure.ac
 b/configure.ac
+@@ -414,7 +414,7 @@ dnl Look for db3 or superior with db_create call
+   case "$DBVERS" in
+ 3)
+ AC_MSG_RESULT([version 3.x or above])
+-for lib in db-6.0 db-5.3 db-5.1 db-5.0 db-4.8 db-4.7 db-4.6 db-4.5 db-4.4 
db-4.3 db-4.2 db-4.1 db-4.0 db-4 db4 db-3.2 db-3 db3 db; do
++for lib in db-6.2 db-6.1 db-6.0 db-5.3 db-5.1 db-5.0 db-4.8 db; do
+   if test "x$DBLINKED" = "x0"; then
+ dnlAC_CHECK_LIB($lib, db_create, [DBLIB="-l$lib"; DBLINKED=1], [])
+ dnl installations of libdb4 function names are defined in db.h
+-- 
+2.24.0
+

diff --git 
a/net-libs/libetpan/files/libetpan-1.9.4-pkgconfig_file_no_ldflags.patch 
b/net-libs/libetpan/files/libetpan-1.9.4-pkgconfig_file_no_ldflags.patch
new file mode 100644
index 000..8dcb7fd1dc5
--- /dev/null
+++ b/net-libs/libetpan/files/libetpan-1.9.4-pkgconfig_file_no_ldflags.patch
@@ -0,0 +1,24 @@
+From 92bbf41fee9b88bd76377bbeed98fdb848f4af09 Mon Sep 17 00:00:00 2001
+From: Lars Wendler 
+Date: Tue, 5 Nov 2019 16:37:14 +0100
+Subject: [PATCH] libetpan.pc.in: Don't put user LDFLAGS into Libs
+
+Signed-off-by: Lars Wendler 
+---
+ libetpan.pc.in | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/libetpan.pc.in b/libetpan.pc.in
+index cbc1d2c..e0dc774 100644
+--- a/libetpan.pc.in
 b/libetpan.pc.in
+@@ -6,5 +6,5 @@ libdir=@libdir@
+ Name: libetpan
+ Description: Libetpan C library.
+ Version: @VERSION@
+-Libs: -L${libdir} -letpan@LIBSUFFIX@ @LDFLAGS@ @SSLLIBS@ @GNUTLSLIB@ 
@LIBICONV@ @DBLIB@ @LIBS@ @SASLLIBS@
++Libs: -L${libdir} -letpan@LIBSUFFIX@ @SSLLIBS@ @GNUTLSLIB@ @LIBICONV@ @DBLIB@ 
@LIBS@ @SASLLIBS@
+ Cflags: -I${includedir}
+-- 
+2.24.0
+

diff --git a/net-libs/libetpan/libetpan-1.9.4.ebuild 
b/net-libs/libetpan/libetpan-1.9.4.ebuild
new file mode 100644
index 000..373a43129b3
--- /dev/null
+++ b/net-libs/libetpan/libetpan-1.9.4.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools
+
+DESCRIPTION="A portable, efficient middleware for different kinds of mail 
access"
+HOMEPAGE="http://libetpan.sourceforge.net/;
+SRC_URI="https://github.com/dinhviethoa/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux ~ppc-macos ~x86-macos"
+IUSE="berkdb gnutls ipv6 liblockfile libressl lmdb sasl ssl static-libs"
+
+# BerkDB is only supported up to version 6.0
+DEPEND="sys-libs/zlib
+   !lmdb? ( berkdb? ( sys-libs/db:= ) )
+   lmdb? ( dev-db/lmdb )
+   ssl? (
+   gnutls? ( 

[gentoo-commits] repo/gentoo:master commit in: net-libs/libetpan/files/, net-libs/libetpan/

2019-05-10 Thread Anthony G. Basile
commit: cb76da37b02ed5bca29ca8f21be989f1dd5e80b6
Author: Anthony G. Basile  gentoo  org>
AuthorDate: Sat May 11 02:21:18 2019 +
Commit: Anthony G. Basile  gentoo  org>
CommitDate: Sat May 11 02:21:45 2019 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb76da37

net-libs/libetpan: upstream patch to fix build on musl

Signed-off-by: Anthony G. Basile  gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 .../files/libetpan-1.9.3-missing-stddev_h.patch| 30 ++
 net-libs/libetpan/libetpan-1.9.3.ebuild|  1 +
 2 files changed, 31 insertions(+)

diff --git a/net-libs/libetpan/files/libetpan-1.9.3-missing-stddev_h.patch 
b/net-libs/libetpan/files/libetpan-1.9.3-missing-stddev_h.patch
new file mode 100644
index 000..9d53f90190b
--- /dev/null
+++ b/net-libs/libetpan/files/libetpan-1.9.3-missing-stddev_h.patch
@@ -0,0 +1,30 @@
+commit da9fd7839c9affea48f74a159a789fbb183b4be1
+Author: maxice8 <30738253+maxi...@users.noreply.github.com>
+Date:   Fri Feb 1 01:58:08 2019 -0200
+
+add missing stddef.h include for 'NULL' (#322)
+
+clientid.c: In function 'mailimap_clientid':
+clientid.c:66:38: error: 'NULL' undeclared (first use in this function)
+   if (mailimap_read_line(session) == NULL)
+  ^~~~
+clientid.c:66:38: note: 'NULL' is defined in header ''; did you 
forget to '#include '?
+clientid.c:39:1:
++#include 
+
+clientid.c:66:38:
+   if (mailimap_read_line(session) == NULL)
+
+diff --git a/src/low-level/imap/clientid.c b/src/low-level/imap/clientid.c
+index 1c34637..38880dd 100644
+--- a/src/low-level/imap/clientid.c
 b/src/low-level/imap/clientid.c
+@@ -33,6 +33,8 @@
+ # include 
+ #endif
+ 
++#include 
++
+ #include "mailimap_sender.h"
+ #include "clientid_sender.h"
+ #include "clientid.h"

diff --git a/net-libs/libetpan/libetpan-1.9.3.ebuild 
b/net-libs/libetpan/libetpan-1.9.3.ebuild
index b700e23e776..262ae83217d 100644
--- a/net-libs/libetpan/libetpan-1.9.3.ebuild
+++ b/net-libs/libetpan/libetpan-1.9.3.ebuild
@@ -30,6 +30,7 @@ RDEPEND="${DEPEND}"
 
 PATCHES=(
"${FILESDIR}"/${PN}-1.0-nonnull.patch
+   "${FILESDIR}"/${PN}-1.9.3-missing-stddev_h.patch
 )
 
 pkg_pretend() {



[gentoo-commits] repo/gentoo:master commit in: net-libs/libetpan/files/, net-libs/libetpan/

2016-05-05 Thread Lars Wendler
commit: 3bdefd6d0add09b842437376a2d072b995918a27
Author: Lars Wendler  gentoo  org>
AuthorDate: Thu May  5 16:36:22 2016 +
Commit: Lars Wendler  gentoo  org>
CommitDate: Thu May  5 16:37:43 2016 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3bdefd6d

net-libs/libetpan: Bump to version 1.7

Package-Manager: portage-2.2.28
Signed-off-by: Lars Wendler  gentoo.org>

 net-libs/libetpan/Manifest |  1 +
 net-libs/libetpan/files/libetpan-1.0-nonnull.patch |  4 +-
 net-libs/libetpan/libetpan-1.7.ebuild  | 80 ++
 3 files changed, 83 insertions(+), 2 deletions(-)

diff --git a/net-libs/libetpan/Manifest b/net-libs/libetpan/Manifest
index 05d7b6f..3715216 100644
--- a/net-libs/libetpan/Manifest
+++ b/net-libs/libetpan/Manifest
@@ -1,3 +1,4 @@
 DIST libetpan-1.1.tar.gz 1657767 SHA256 
ce3ac567d0f07e5b2d1fdb0045042a8295ec477cd933de1a391fd48139c1f75e SHA512 
fbcaf0e467d6f7541148aa60e89e1275f3cdb2b1039b8e6eaeba476e4b4411f44acfc01936eb7c4ab92cc0a574f3dcc4836e57bdf38861008bed0d015211f82b
 WHIRLPOOL 
a8c714937d797f4e8cabb59edf2b5880723e0bc6d4947ac78a3bd31f7b2e94f36c6699f7186f527b1075460f65dbb10d7c083442b6646cba1dbf2de68dd7c291
 DIST libetpan-1.5.tar.gz 6139416 SHA256 
42c4d858c3c1762c3e348889fbbf6cc5e5c5e654170d1df1ebb9c14aa4579736 SHA512 
7b0a3adff7d7b3a7e3ea1d1a330ef6fea5ed86077a9ccf3fb5e51548d337c6c1f1fbb9ca81560b478335a9acf34e08bfef1895a05c5a69c37e3b87651c255fd5
 WHIRLPOOL 
c408cbef9cc4e9bfec07a6e87a5afa96ea241770564c11f625776e4d692484c75ad01724c10923e38927d344616f4d396fa652d63d8cdcb2451d2a075dd0909e
 DIST libetpan-1.6.tar.gz 6144117 SHA256 
7962b1f9445be24d1eb72daddabaebb427074c14a50e9dad0cebdec044c71e17 SHA512 
e3f19cfe231e8cadbb6cba3a765611e3aaeb260fa78e05cea1153a59015abe547c0f3a8b84c6b41cbbd17d04a4c7ab7b14d1b1b44a1a4b24ac124cb200a191a5
 WHIRLPOOL 
b72a50513dbd55898e79b14a53088277b12ae7ac911ab0a9692d47f85dadd1b80a9ba616bd7a2beb89d9406940f4edf24cabf93aabef0cd27d6de6bef4e29a40
+DIST libetpan-1.7.tar.gz 6184289 SHA256 
47d0c049d8adcdcfd0698e9f1fcb85416b0b2f476eed1f52aae72c2883cf05b0 SHA512 
b90c46f6692df7a7889be68f5712a6b6d58ef1931edb82674da2cb6690c2150c935ca782fd32c1567c31cdff629261bd1ba23921b12431d781a086729489573e
 WHIRLPOOL 
b6c286a0554ecf4ad3c0d09dd45d1892a665bdc4eed4e19b65745de3a6195351cccef51da6447f34d57a29dacd01bbb16067d30911b837db914016ddb7ab2e87

diff --git a/net-libs/libetpan/files/libetpan-1.0-nonnull.patch 
b/net-libs/libetpan/files/libetpan-1.0-nonnull.patch
index 0710cfd..f07a0fb 100644
--- a/net-libs/libetpan/files/libetpan-1.0-nonnull.patch
+++ b/net-libs/libetpan/files/libetpan-1.0-nonnull.patch
@@ -1,6 +1,6 @@
 
http://sourceforge.net/mailarchive/forum.php?thread_name=k2vfc2c80ae1004051048n4a2b5ab0y85ab946c2a556544%40mail.gmail.com_name=libetpan-devel
 src/low-level/nntp/Makefile.am 2011-06-14 15:37:14.511603732 +0300
-+++ src/low-level/nntp/Makefile.am 2011-06-14 15:38:42.0 +0300
+--- a/src/low-level/nntp/Makefile.am
 b/src/low-level/nntp/Makefile.am
 @@ -35,6 +35,8 @@
  AM_CPPFLAGS = -I$(top_builddir)/include \
-I$(top_srcdir)/src/data-types

diff --git a/net-libs/libetpan/libetpan-1.7.ebuild 
b/net-libs/libetpan/libetpan-1.7.ebuild
new file mode 100644
index 000..e9ab62f
--- /dev/null
+++ b/net-libs/libetpan/libetpan-1.7.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit autotools eutils
+
+DESCRIPTION="A portable, efficient middleware for different kinds of mail 
access"
+HOMEPAGE="http://libetpan.sourceforge.net/;
+SRC_URI="https://github.com/dinhviethoa/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd 
~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="berkdb debug gnutls ipv6 liblockfile sasl ssl static-libs"
+
+DEPEND="berkdb? ( sys-libs/db:= )
+   ssl? (
+   gnutls? ( net-libs/gnutls )
+   !gnutls? ( dev-libs/openssl:0= )
+   )
+   sasl? ( dev-libs/cyrus-sasl )
+   liblockfile? ( net-libs/liblockfile )"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+   "${FILESDIR}"/${PN}-1.0-nonnull.patch
+)
+
+pkg_setup() {
+   if use gnutls && ! use ssl ; then
+   ewarn "You have \"gnutls\" USE flag enabled but \"ssl\" USE 
flag disabled!"
+   ewarn "No ssl support will be available in ${PN}."
+   fi
+}
+
+src_prepare() {
+   default
+
+   sed -i \
+   -e "s/-O2 -g//" \
+   configure.ac
+
+   eautoreconf
+}
+
+src_configure() {
+   local sslconf
+
+   if use ssl; then
+   if use gnutls; then
+   sslconf="--with-gnutls --without-openssl"
+   else
+   sslconf="--without-gnutls --with-openssl"
+   fi
+   else
+   sslconf="--without-gnutls --without-openssl"
+